---
title: AudioTrack
slug: Web/API/AudioTrack
tags:
  - Audio
  - AudioTrack
  - HTML
  - HTML DOM
  - Interface
  - Media
  - Reference
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <strong><code>AudioTrack</code></strong> interface represents a single audio track from one of the HTML media elements, {{HTMLElement("audio")}} or {{HTMLElement("video")}}. </span>The most common use for accessing an <code>AudioTrack</code> object is to toggle its {{domxref("AudioTrack.enabled", "enabled")}} property in order to mute and unmute the track.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("AudioTrack.enabled", "enabled")}}</dt>
 <dd>A Boolean value which controls whether or not the audio track's sound is enabled. Setting this value to <code>false</code> mutes the track's audio.</dd>
 <dt>{{domxref("AudioTrack.id", "id")}} {{ReadOnlyInline}}</dt>
 <dd>A {{domxref("DOMString")}} which uniquely identifies the track within the media. This ID can be used to locate a specific track within an audio track list by calling {{domxref("AudioTrackList.getTrackById()")}}. The ID can also be used as the fragment part of the URL if the media supports seeking by media fragment per the <a href="https://www.w3.org/TR/media-frags/">Media Fragments URI specification</a>.</dd>
 <dt>{{domxref("AudioTrack.kind", "kind")}} {{ReadOnlyInline}}</dt>
 <dd>A {{domxref("DOMString")}} specifying the category into which the track falls. For example, the main audio track would have a <code>kind</code> of <code>"main"</code>.</dd>
 <dt>{{domxref("AudioTrack.label", "label")}} {{ReadOnlyInline}}</dt>
 <dd>A {{domxref("DOMString")}} providing a human-readable label for the track. For example, an audio commentary track for a movie might have a <code>label</code> of <code>"Commentary with director John Q. Public and actors John Doe and Jane Eod."</code> This string is empty if no label is provided.</dd>
 <dt>{{domxref("AudioTrack.language", "language")}} {{ReadOnlyInline}}</dt>
 <dd>A {{domxref("DOMString")}} specifying the audio track's primary language, or an empty string if unknown. The language is specified as a BCP 47 ({{RFC(5646)}}) language code, such as <code>"en-US"</code> or <code>"pt-BR"</code>.</dd>
 <dt>{{domxref("AudioTrack.sourceBuffer", "sourceBuffer")}} {{ReadOnlyInline}}</dt>
 <dd>The {{domxref("SourceBuffer")}} that created the track. Returns null if the track was not created by a {{domxref("SourceBuffer")}} or the {{domxref("SourceBuffer")}} has been removed from the {{domxref("MediaSource.sourceBuffers")}} attribute of its parent media source.</dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>To get an <code>AudioTrack</code> for a given media element, use the element's {{domxref("HTMLMediaElement.audioTracks", "audioTracks")}} property, which returns an {{domxref("AudioTrackList")}} object from which you can get the individual tracks contained in the media:</p>

<pre class="brush: js">var el = document.querySelector("video");
var tracks = el.audioTracks;
</pre>

<p>You can then access the media's individual tracks using either array syntax or functions such as {{jsxref("Array.forEach", "forEach()")}}.</p>

<p>This first example gets the first audio track on the media:</p>

<pre class="brush: js">var firstTrack = tracks[0];</pre>

<p>The next example scans through all of the media's audio tracks, enabling any that are in the user's preferred language (taken from a variable <code>userLanguage</code>) and disabling any others.</p>

<pre class="brush: js">tracks.forEach(function(track) {
  if (track.language === userLanguage) {
    track.enabled = true;
  } else {
    track.enabled = false;
  }
});
</pre>

<p>The {{domxref("AudioTrack.language", "language")}} is in standard ({{RFC(5646)}}) format. For US English, this would be <code>"en-US"</code>, for example.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioTrack/label", "Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'media.html#audiotrack', 'AudioTrack')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'embedded-content-0.html#audiotrack', 'AudioTrack')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioTrack")}}</p>
